import Foundation

extension Bundle {
    var versionNumber: String? {
        return infoDictionary?["CFBundleShortVersionString"] as? String
    }
    
    var buildNumber: String? {
        return infoDictionary?["CFBundleVersion"] as? String
    }
    
    var fullVersion: String? {
        guard let version = self.versionNumber, let build = self.buildNumber else { return nil }
        return version + "." + build
    }
}
